Bug 840694 - SELinux is preventing /usr/bin/python2.7 from read, open access on the file /usr/sbin/wpa_cli. This happenned using wicd to connect to a WPA2 wireless network
SELinux is preventing /usr/bin/python2.7 from read, open access on the file /...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:85b28b8101fb2c2fff876dbfb38...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-16 20:34 EDT by Johann Suhm
Modified: 2012-07-23 10:33 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-21 18:52:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Johann Suhm 2012-07-16 20:34:15 EDT
libreport version: 2.0.10
executable:     /usr/bin/python2.7
hashmarkername: setroubleshoot
kernel:         3.4.4-5.fc17.x86_64
time:           mar. 17 juil. 2012 02:31:17 CEST

description:
:SELinux is preventing /usr/bin/python2.7 from read, open access on the file /usr/sbin/wpa_cli.
:
:*****  Plugin leaks (86.2 confidence) suggests  ******************************
:
:If you want to ignore python2.7 trying to read open access the wpa_cli file, because you believe it should not need this access.
:Then you should report this as a bug.  
:You can generate a local policy module to dontaudit this access.
:Do
:# grep /usr/bin/python2.7 /var/log/audit/audit.log | audit2allow -D -M mypol
:# semodule -i mypol.pp
:
:*****  Plugin catchall (14.7 confidence) suggests  ***************************
:
:If you believe that python2.7 should be allowed read open access on the wpa_cli file by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep wicd /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                system_u:system_r:NetworkManager_t:s0
:Target Context                system_u:object_r:wpa_cli_exec_t:s0
:Target Objects                /usr/sbin/wpa_cli [ file ]
:Source                        wicd
:Source Path                   /usr/bin/python2.7
:Port                          <Inconnu>
:Host                          (removed)
:Source RPM Packages           python-2.7.3-6.fc17.x86_64
:Target RPM Packages           wpa_supplicant-1.0-0.4.fc17.x86_64
:Policy RPM                    selinux-policy-3.10.0-134.fc17.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.4.4-5.fc17.x86_64 #1 SMP Thu
:                              Jul 5 20:20:59 UTC 2012 x86_64 x86_64
:Alert Count                   70
:First Seen                    mar. 17 juil. 2012 00:22:07 CEST
:Last Seen                     mar. 17 juil. 2012 02:17:12 CEST
:Local ID                      59cb9ad8-d8c1-4f48-ba1a-8624d3c0f224
:
:Raw Audit Messages
:type=AVC msg=audit(1342484232.499:592): avc:  denied  { read open } for  pid=20198 comm="wicd" name="wpa_cli" dev="dm-2" ino=1459807 scontext=system_u:system_r:NetworkManager_t:s0 tcontext=system_u:object_r:wpa_cli_exec_t:s0 tclass=file
:
:
:type=SYSCALL msg=audit(1342484232.499:592): arch=x86_64 syscall=execve success=no exit=EACCES a0=7f3794000ce0 a1=7f3794007b10 a2=7f3794008270 a3=319b342306 items=0 ppid=6413 pid=20198 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm=wicd exe=/usr/bin/python2.7 subj=system_u:system_r:NetworkManager_t:s0 key=(null)
:
:Hash: wicd,NetworkManager_t,wpa_cli_exec_t,file,read,open
:
:audit2allowunable to open /sys/fs/selinux/policy:  Permission denied
:
:
:audit2allow -Runable to open /sys/fs/selinux/policy:  Permission denied
:
:
Comment 1 Johann Suhm 2012-07-16 20:40:04 EDT
this happens when connecting to a WPA2 wireless network with wicd.

Connecting to an open wireless network works fine.
Comment 2 Miroslav Grepl 2012-07-17 03:16:42 EDT
Fixed in selinux-policy-3.10.0-140.fc17.noarch
Comment 3 Johann Suhm 2012-07-17 10:22:35 EDT
Thanks !

Where can I find it ?
- installed version : 3.10.0-134
- in updates-testing : 3.10.0-137
Comment 4 Fedora Update System 2012-07-18 09:05:48 EDT
selinux-policy-3.10.0-140.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/selinux-policy-3.10.0-140.fc17
Comment 5 Fedora Update System 2012-07-19 05:12:37 EDT
Package selinux-policy-3.10.0-140.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.10.0-140.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-10840/selinux-policy-3.10.0-140.fc17
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2012-07-21 18:52:47 EDT
selinux-policy-3.10.0-140.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Johann Suhm 2012-07-23 10:33:59 EDT
I just updated the laptop and it seems to work now : connected to a WPA wireless without problem.

Thanks :)

Note You need to log in before you can comment on or make changes to this bug.